Page MenuHomePhabricator

Default appeal should be configurable, initial query string value should be stored in session
Closed, ResolvedPublic1 Story Points

Description

The default appeal is hard-coded to 'Appeal-default' in RapidHTML, and to JimmyQuote in GatewayFormChooser. These should both use $wgDonationInterfaceDefaultAppeal. Also, when a different appeal is given on the query string for A/B testing, the gateway should store the value and re-use it on subsequent views in the same session.

Original ticket: Currently the default appeal for payments if nothing is specified in the URL is Appeal-default. This is woefully out of date and contains a number of inaccuracies. We have been linking to JimmyQuote as the appeal from donatewiki and all banners for a long time now. We should make this the new default even if it's not specified in the URL.

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : masterRemebmer appeal, make RapidHTML use configurable default
mediawiki/extensions/DonationInterface : masterMake "JimmyQuote" default appeal

Event Timeline

Pcoombe created this task.Sep 29 2015, 3:54 PM
Pcoombe raised the priority of this task from to Needs Triage.
Pcoombe updated the task description. (Show Details)
Pcoombe added a subscriber: Pcoombe.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 29 2015, 3:54 PM

Change 242169 had a related patch set uploaded (by Pcoombe):
Make "JimmyQuote" default appeal

https://gerrit.wikimedia.org/r/242169

Ejegg renamed this task from "JimmyQuote" should be default appeal on payments to Default appeal should be configurable, initial query string value should be stored in session.Sep 29 2015, 8:52 PM
Ejegg updated the task description. (Show Details)
Ejegg set Security to None.
Ejegg edited a custom field.
Ejegg claimed this task.Sep 30 2015, 11:01 PM
Ejegg triaged this task as Medium priority.
Ejegg moved this task from Backlog to Doing on the Fundraising Sprint UB40 board.

Change 246894 had a related patch set uploaded (by Ejegg):
Remebmer appeal, make RapidHTML use configurable default

https://gerrit.wikimedia.org/r/246894

Change 242169 abandoned by Pcoombe:
Make "JimmyQuote" default appeal

Reason:
Abandoned in favour of Elliott's https://gerrit.wikimedia.org/r/#/c/246894/

https://gerrit.wikimedia.org/r/242169

Change 246894 merged by jenkins-bot:
Remebmer appeal, make RapidHTML use configurable default

https://gerrit.wikimedia.org/r/246894

Ejegg closed this task as Resolved.Oct 26 2015, 10:41 PM
Ejegg moved this task from Review to Done on the Fundraising Sprint Vengaboys board.